"""
API dependencies.
"""
from typing import Generator

from app.db.session import SessionLocal


def get_db() -> Generator:
    """
    Get database session.
    
    Yields:
        Session: Database session
    """
    db = SessionLocal()
    try:
        yield db
    finally:
        db.close()