"""
Configuration settings for the REST API Service.
"""
from pathlib import Path
from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    """Application settings"""
    API_V1_STR: str = "/api/v1"
    PROJECT_NAME: str = "REST API Service"
    
    # Database
    DB_DIR: Path = Path("/app/storage/db")
    DB_FILENAME: str = "db.sqlite"


settings = Settings()