"""
Pydantic schemas for health checks.
"""
from enum import Enum

from pydantic import BaseModel


class HealthStatus(str, Enum):
    """Enum for health status."""
    OK = "ok"
    ERROR = "error"


class HealthCheck(BaseModel):
    """Schema for health check response."""
    status: HealthStatus
    version: str